Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.comadapter.comruntime
Class STCComVariant

    java.lang.Object
      com.stc.connector.comadapter.comruntime.STCComVariant

Direct Known Subclasses:
  STCComOptionalArgument

    public class STCComVariant

extends java.lang.Object

The STCComVariant class wraps the concept of the COM VARIANT type. Not all types in COM are supported; mainly a subset of those allowed in COM automation.

Like the COM VARIANT, the members are mostly public so it emulates a C structure. And like the VARIANT, the values are held in public members. The vt member variable is the discriminator which indicates which data member holds the value.

See Also:
  `STCComVARTYPE`

Field Summary
`boolean` | `bIsArray` Set to true if the argument is an array.
`boolean` | `bIsByRef` Set to true if the argument is a ByRef arg.
`boolean` | `booleanValue` Holds the VT_BOOL value.
`double` | `dateValue` Holds the VT_DATE value.
`STCIDispatch` | `dispValue` Holds the VT_DISPATCH value.
`double` | `doubleValue` Holds the VT_R8 value.
`int` | `errorValue` Holds the VT_ERROR value.
`float` | `floatValue` Holds the VT_R4 value.
`int` | `intValue` Holds the VT_I4 value.
`int` | `nArrayDim` If, and only if it is an array, this returns how many dimensions the array is.
`boolean[]` | `pbooleanValue` Holds the single dimension array of VT_BOOL.
`double[]` | `pdateValue` Holds the single dimension array of VT_DATE.
`STCIDispatch[]` | `pdispValue` Holds the single dimension array of VT_DISPATCH.
`double[]` | `pdoubleValue` Holds the single dimension array of VT_R8.
`int[]` | `perrorValue` Holds the single dimension array of VT_ERROR.
`float[]` | `pfloatValue` Holds the single dimension array of VT_R4.
`int[]` | `pintValue` Holds the single dimension array of VT_I4.
`boolean[][]` | `ppbooleanValue` Holds the 2 dimension array of VT_BOOL.
`double[][]` | `ppdateValue` Holds the 2 dimension array of VT_DATE.
`double[][]` | `ppdoubleValue` Holds the 2 dimension array of VT_R8.
`int[][]` | `pperrorValue` Holds the 2 dimension array of VT_ERROR.
`float[][]` | `ppfloatValue` Holds the 2 dimension array of VT_R4.
`int[][]` | `ppintValue` Holds the 2 dimension array of VT_I4.
`short[][]` | `ppshortValue` Holds the 2 dimension array of VT_I2.
`java.lang.String[][]` | `ppstringValue` Holds the 2 dimension array of VT_BSTR.
`short[]` | `pshortValue` Holds the single dimension array of VT_I2.
`java.lang.String[]` | `pstringValue` Holds the single dimension array of VT_BSTR.
`short` | `shortValue` Holds the VT_I2 value.
`java.lang.String` | `stringValue` Holds the VT_BSTR value.
`STCComVariant` | `variantValue` Holds the VT_VARIANT value.
`int` | `vt` This represents the VARTYPE we are holding.

Constructor Summary
`STCComVariant()` Default constructor.
`STCComVariant(boolean b)` Constructor taking a Boolean value.
`STCComVariant(double d, int type)` Constructor taking a double value.
`STCComVariant(float f)` Constructor taking a float value.
`STCComVariant(int i, int type)` Constructor taking an int value.
`STCComVariant(short s)` Constructor taking a short value.
`STCComVariant(STCComVariant v)` Constructor taking a STCComVariant value.
`STCComVariant(STCIDispatch dispatch)` Constructor taking an STCIDispatch value.
`STCComVariant(java.lang.String s)` Constructor taking a string value.

Method Summary
`void` | `clear()` Similar to VariantClear in COM.
`int` | `getArrayDim()` Returns the value of the nArrayDim member.
`boolean` | `getIsArray()` Gets the value of the bIsArray member.
`boolean` | `getIsByRef()` Gets the value of the bIsByRef member.
`int` | `getVartype()` Gets the VARTYPE type of this STCComVariant instance.
`boolean[]` | `getVT_BOOL_1D()` Gets the VT_BOOL_1D value.
`boolean[][]` | `getVT_BOOL_2D()` Gets the VT_BOOL_2D value.
`boolean` | `getVT_BOOL()` Gets the VT_BOOL value.
`java.lang.String[]` | `getVT_BSTR_1D()` Gets the VT_BSTR_1D value.
`java.lang.String[][]` | `getVT_BSTR_2D()` Gets the VT_BSTR_2D value.
`java.lang.String` | `getVT_BSTR()` Gets the VT_BSTR value.
`double[]` | `getVT_DATE_1D()` Gets the VT_DATE_1D value.
`double[][]` | `getVT_DATE_2D()` Gets the VT_DATE_2D value.
`double` | `getVT_DATE()` Gets the VT_DATE value.
`STCIDispatch[]` | `getVT_DISPATCH_1D()` Gets the VT_DISPATCH_1D value.
`STCIDispatch` | `getVT_DISPATCH()` Gets the VT_DISPATCH value.
`int[]` | `getVT_ERROR_1D()` Gets the VT_ERROR_1D value.
`int[][]` | `getVT_ERROR_2D()` Gets the VT_ERROR_2D value.
`int` | `getVT_ERROR()` Gets the VT_ERROR value.
`short[]` | `getVT_I2_1D()` Gets the VT_I2_1D value.
`short[][]` | `getVT_I2_2D()` Gets the VT_I2_2D value.
`short` | `getVT_I2()` Gets the VT_I2 value.
`int[]` | `getVT_I4_1D()` Gets the VT_I4_1D value.
`int[][]` | `getVT_I4_2D()` Gets the VT_I4_2D value.
`int` | `getVT_I4()` Gets the VT_I4 value.
`float[]` | `getVT_R4_1D()` Gets the VT_R4_1D value.
`float` | `getVT_R4()` Gets the VT_R4 value.
`double[]` | `getVT_R8_1D()` Gets the VT_R8_1D value.
`double[][]` | `getVT_R8_2D()` Gets the VT_R8_2D value.
`double` | `getVT_R8()` Gets the VT_R8 value.
`STCComVariant` | `getVT_VARIANT()` Gets the VT_VARIANT value.
`void` | `setArrayDim(int d)` Sets the value of the nArrayDim member.
`void` | `setIsArray(boolean b)` Sets the value of the bIsArray member.
`void` | `setIsByRef(boolean b)` Sets the value of the bIsByRef member.
`void` | `setVartype(int newVT)` Sets the VARTYPE of this STCComVariant instance.
`void` | `setVT_BOOL_1D(boolean[] newValue)` Sets the VT_BOOL_1D value.
`void` | `setVT_BOOL_2D(boolean[][] newValue)` Sets the VT_BOOL_2D value.
`void` | `setVT_BOOL(boolean newValue)` Sets the VT_BOOL value.
`void` | `setVT_BSTR_1D(java.lang.String[] newValue)` Sets the VT_BSTR_1D value.
`void` | `setVT_BSTR_2D(java.lang.String[][] newValue)` Sets the VT_BSTR_2D value.
`void` | `setVT_BSTR(java.lang.String newValue)` Sets the VT_BSTR value.
`void` | `setVT_DATE_1D(double[] newValue)` Sets the VT_DATE_1D value.
`void` | `setVT_DATE_2D(double[][] newValue)` Sets the VT_DATE_2D value.
`void` | `setVT_DATE(double newValue)` Sets the VT_DATE value.
`void` | `setVT_DISPATCH_1D(STCIDispatch[] newValue)` Sets the VT_DISPATCH_1D value.
`void` | `setVT_DISPATCH(STCIDispatch newValue)` Sets the VT_DISPATCH value
`void` | `setVT_ERROR_1D(int[] newValue)` Sets the VT_ERROR_1D value.
`void` | `setVT_ERROR_2D(int[][] newValue)` Sets the VT_ERROR_2D value.
`void` | `setVT_ERROR(int newValue)` Sets the VT_ERROR value.
`void` | `setVT_I2_1D(short[] newValue)` Sets the VT_I2_1D value.
`void` | `setVT_I2_2D(short[][] newValue)` Sets the VT_I2_2D value.
`void` | `setVT_I2(short newValue)` Sets the VT_I2 value.
`void` | `setVT_I4_1D(int[] newValue)` Sets the VT_I4_1D value.
`void` | `setVT_I4_2D(int[][] newValue)` Sets the VT_I4_2D value.
`void` | `setVT_I4(int newValue)` Sets the VT_I4 value.
`void` | `setVT_R4_1D(float[] newValue)` Sets the VT_R4_1D value.
`void` | `setVT_R4(float newValue)` Sets the VT_R4 value.
`void` | `setVT_R8_1D(double[] newValue)` Sets the VT_R8_1D value.
`void` | `setVT_R8_2D(double[][] newValue)` Sets the VT_R8_2D value.
`void` | `setVT_R8(double newValue)` Sets the VT_R8 value.
`void` | `setVT_VARIANT(STCComVariant newValue)` Sets the VT_VARIANT value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vt

    public int vt

  This represents the VARTYPE we are holding. Unlike the vartype in COM, it does not hold the |VT_ARRAY or |VT_BYREF in this value. That is, it holds the base vartype only. Its value should be one of the values from the STCComVARTYPE class.

### bIsByRef

    public boolean bIsByRef

  Set to true if the argument is a ByRef arg.

### bIsArray

    public boolean bIsArray

  Set to true if the argument is an array.

### nArrayDim

    public int nArrayDim

  If, and only if it is an array, this returns how many dimensions the array is. It is set/get via the accessor function below. The only two legal values are 1 and 2. Any other will throw an exception.

### shortValue

    public short shortValue

  Holds the VT_I2 value.

### intValue

    public int intValue

  Holds the VT_I4 value.

### floatValue

    public float floatValue

  Holds the VT_R4 value.

### doubleValue

    public double doubleValue

  Holds the VT_R8 value.

### dateValue

    public double dateValue

  Holds the VT_DATE value.

### stringValue

    public java.lang.String stringValue

  Holds the VT_BSTR value.

### dispValue

    public STCIDispatch dispValue

  Holds the VT_DISPATCH value.

### errorValue

    public int errorValue

  Holds the VT_ERROR value.

### booleanValue

    public boolean booleanValue

  Holds the VT_BOOL value.

### variantValue

    public STCComVariant variantValue

  Holds the VT_VARIANT value.

### pshortValue

    public short[] pshortValue

  Holds the single dimension array of VT_I2.

### pintValue

    public int[] pintValue

  Holds the single dimension array of VT_I4.

### pfloatValue

    public float[] pfloatValue

  Holds the single dimension array of VT_R4.

### pdoubleValue

    public double[] pdoubleValue

  Holds the single dimension array of VT_R8.

### pdateValue

    public double[] pdateValue

  Holds the single dimension array of VT_DATE.

### pstringValue

    public java.lang.String[] pstringValue

  Holds the single dimension array of VT_BSTR.

### pdispValue

    public STCIDispatch[] pdispValue

  Holds the single dimension array of VT_DISPATCH.

### perrorValue

    public int[] perrorValue

  Holds the single dimension array of VT_ERROR.

### pbooleanValue

    public boolean[] pbooleanValue

  Holds the single dimension array of VT_BOOL.

### ppshortValue

    public short[][] ppshortValue

  Holds the 2 dimension array of VT_I2.

### ppintValue

    public int[][] ppintValue

  Holds the 2 dimension array of VT_I4.

### ppfloatValue

    public float[][] ppfloatValue

  Holds the 2 dimension array of VT_R4.

### ppdoubleValue

    public double[][] ppdoubleValue

  Holds the 2 dimension array of VT_R8.

### ppdateValue

    public double[][] ppdateValue

  Holds the 2 dimension array of VT_DATE.

### ppstringValue

    public java.lang.String[][] ppstringValue

  Holds the 2 dimension array of VT_BSTR.

### pperrorValue

    public int[][] pperrorValue

  Holds the 2 dimension array of VT_ERROR.

### ppbooleanValue

    public boolean[][] ppbooleanValue

  Holds the 2 dimension array of VT_BOOL.

Constructor Detail

### STCComVariant

    public STCComVariant()

  Default constructor. Clears all data members.

  Parameters:
    None.
Throws:
  None.

### STCComVariant

    public STCComVariant(boolean b)

  Constructor taking a Boolean value. Sets booleanValue member with the value and sets vt to VT_BOOL.

  Parameters:
    `b` - The Boolean value.
  Throws:
    None.

### STCComVariant

    public STCComVariant(short s)

  Constructor taking a short value. Sets shortValue member with the value and sets vt to VT_I2.

  Parameters:
    `s` - The short value.
  Throws:
    None.

### STCComVariant

    public STCComVariant(int i,
                         int type)
                  throws STCComException

  Constructor taking an int value. In this case, the value could represent either a VT_I4 or VT_ERROR so the second parameter must be either VT_I4 or VT_ERROR as appropriate.

  Parameters:
    `i` - The int value.
    `type` - The VT value from STCComVARTYPE.
  Throws:
    `STCComException` - Thrown if type is not valid.

### STCComVariant

    public STCComVariant(java.lang.String s)

  Constructor taking a string value. Sets stringValue member with the value and sets vt to VT_BSTR.

  Parameters:
    `s` - The String value.
  Throws:
    None.

### STCComVariant

    public STCComVariant(STCIDispatch dispatch)

  Constructor taking an STCIDispatch value. Sets the dispatch member with the value and sets vt to VT_DISPATCH.

  Parameters:
    `dispatch` - The STCIDispatch value.
  Throws:
    None.

### STCComVariant

    public STCComVariant(float f)

  Constructor taking a float value. Sets floatValue member with the value and sets vt to VT_R4.

  Parameters:
    `f` - The float value.
  Throws:
    None.

### STCComVariant

    public STCComVariant(double d,
                         int type)
                  throws STCComException

  Constructor taking a double value. In this case, the value could represent either a VT_R8 or a VT_DATE (in COM, a VT_DATE is typedef'd as a double) so the second parameter must be either VT_R8 or VT_DATE as appropriate.

  Parameters:
    `d` - The double value.
    `type` - The double value.
  Throws:
    `STCComException` - Thrown if type is not valid.

### STCComVariant

    public STCComVariant(STCComVariant v)

  Constructor taking a STCComVariant value. Sets variantValue member with the value and sets vt to VT_VARIANT.

  Parameters:
    `v` - The STCComVariant value.
  Throws:
    None.

Method Detail

### getVartype

    public int getVartype()

  Gets the VARTYPE type of this STCComVariant instance. Returns the VARTYPE of the stored value which is one of the STCComVARTYPE constants.

  Parameters:
    None.

### setVartype

    public void setVartype(int newVT)

  Sets the VARTYPE of this STCComVariant instance.

  Parameters:
    `newVT` - The VARTYPE of this STCComVariant instance.

### getIsByRef

    public boolean getIsByRef()

  Gets the value of the bIsByRef member.

  Parameters:
    None.

  Returns:
    `Boolean` - Returns the value of bIsByRef.
  Throws:
    None.

### setIsByRef

    public void setIsByRef(boolean b)

  Sets the value of the bIsByRef member.

  Parameters:
    `b` - Set if byref or not

### getIsArray

    public boolean getIsArray()

  Gets the value of the bIsArray member.

  Parameters:
    None.

  Returns:
    `Boolean` - Returns the value of bIsArray.
  Throws:
    None.

### setIsArray

    public void setIsArray(boolean b)

  Sets the value of the bIsArray member.

  Parameters:
    `b` - Sets if an array or not.

### getArrayDim

    public int getArrayDim()

  Returns the value of the nArrayDim member. If not previously set, this will return the value 0 (zero). It is also set to zero internally by the clear method. Its use is only relevant when the variant is used to hold an array and, in that case, the value is set by the setArrayDim method.

  Parameters:
    None.

  Returns:
    `int` - Returns the number of dimensions.
  Throws:
    None.

### setArrayDim

    public void setArrayDim(int d)
                     throws java.lang.IllegalArgumentException

  Sets the value of the nArrayDim member.

  Parameters:
    `d` - The number of dimensions. Must be 1 or 2. Any other value will throw an exception.
  Throws:
    `java.lang.IllegalArgumentException` - Thrown if the value is not 1 or 2.

### getVT_I2

    public short getVT_I2()
                   throws STCComException

  Gets the VT_I2 value.

  Parameters:
    None.

  Returns:
    `short` - Returns the VT_I2 value.
  Throws:
    `STCComException` - Thrown on error.

### setVT_I2

    public void setVT_I2(short newValue)

  Sets the VT_I2 value.

  Parameters:
    `newValue` - The new value.

### getVT_I4

    public int getVT_I4()
                 throws STCComException

  Gets the VT_I4 value.

  Parameters:
    None.

  Returns:
    `int` - Returns the VT_I4 value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_I4

    public void setVT_I4(int newValue)

  Sets the VT_I4 value.

  Parameters:
    `newValue` - The new value.

### getVT_R4

    public float getVT_R4()
                   throws STCComException

  Gets the VT_R4 value.

  Parameters:
    None.

  Returns:
    `float` - Returns the VT_R4 value.
  Throws:
    `STCComException` - on error.

### setVT_R4

    public void setVT_R4(float newValue)

  Sets the VT_R4 value.

  Parameters:
    `newValue` - The new value.

### getVT_R8

    public double getVT_R8()
                    throws STCComException

  Gets the VT_R8 value.

  Parameters:
    None.

  Returns:
    `double` - Returns the VT_R8 value.
  Throws:
    `STCComException` - on error.

### setVT_R8

    public void setVT_R8(double newValue)

  Sets the VT_R8 value.

  Parameters:
    `newValue` - The new value.

### getVT_DATE

    public double getVT_DATE()
                      throws STCComException

  Gets the VT_DATE value.

  Parameters:
    None.

  Returns:
    `double` - Returns the VT_DATE value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_DATE

    public void setVT_DATE(double newValue)

  Sets the VT_DATE value.

  Parameters:
    `newValue` - The new value.

### getVT_BSTR

    public java.lang.String getVT_BSTR()
                                throws STCComException

  Gets the VT_BSTR value.

  Parameters:
    None.

  Returns:
    `String` - Returns the VT_BSTR value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_BSTR

    public void setVT_BSTR(java.lang.String newValue)

  Sets the VT_BSTR value.

  Parameters:
    `newValue` - The new value.

### getVT_DISPATCH

    public STCIDispatch getVT_DISPATCH()
                                throws STCComException

  Gets the VT_DISPATCH value.

  Parameters:
    None.

  Returns:
    `STCIDispatch` - Returns the VT_DISPATCH value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_DISPATCH

    public void setVT_DISPATCH(STCIDispatch newValue)

  Sets the VT_DISPATCH value

  Parameters:
    `newValue` - The new value.

### getVT_ERROR

    public int getVT_ERROR()
                    throws STCComException

  Gets the VT_ERROR value.

  Parameters:
    None.

  Returns:
    `int` - Returns the VT_ERROR value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_ERROR

    public void setVT_ERROR(int newValue)

  Sets the VT_ERROR value.

  Parameters:
    `newValue` - The new value.

### getVT_BOOL

    public boolean getVT_BOOL()
                       throws STCComException

  Gets the VT_BOOL value.

  Parameters:
    None.

  Returns:
    `Boolean` - Returns the VT_BOOL value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_BOOL

    public void setVT_BOOL(boolean newValue)

  Sets the VT_BOOL value.

  Parameters:
    `newValue` - The new value.

### getVT_VARIANT

    public STCComVariant getVT_VARIANT()
                                throws STCComException

  Gets the VT_VARIANT value.

  Parameters:
    None.

  Returns:
    `STCComVariant` - Returns the VT_VARIANT value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_VARIANT

    public void setVT_VARIANT(STCComVariant newValue)

  Sets the VT_VARIANT value.

  Parameters:
    `newValue` - The new value.

### getVT_I2_1D

    public short[] getVT_I2_1D()
                        throws STCComException

  Gets the VT_I2_1D value.

  Parameters:
    None.

  Returns:
    `short[]` - Returns the VT_I2_1D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_I2_1D

    public void setVT_I2_1D(short[] newValue)

  Sets the VT_I2_1D value.

  Parameters:
    `newValue` - The new value.

### getVT_I4_1D

    public int[] getVT_I4_1D()
                      throws STCComException

  Gets the VT_I4_1D value.

  Parameters:
    None.

  Returns:
    `int[]` - Returns the VT_I4_1D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_I4_1D

    public void setVT_I4_1D(int[] newValue)

  Sets the VT_I4_1D value.

  Parameters:
    `newValue` - The new value.

### getVT_R4_1D

    public float[] getVT_R4_1D()
                        throws STCComException

  Gets the VT_R4_1D value.

  Parameters:
    None.

  Returns:
    `float[]` - Returns the VT_R4_1D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_R4_1D

    public void setVT_R4_1D(float[] newValue)

  Sets the VT_R4_1D value.

  Parameters:
    `newValue` - The new value.

### getVT_R8_1D

    public double[] getVT_R8_1D()
                         throws STCComException

  Gets the VT_R8_1D value.

  Parameters:
    None.

  Returns:
    `double[]` - Returns the VT_R8_1D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_R8_1D

    public void setVT_R8_1D(double[] newValue)

  Sets the VT_R8_1D value.

  Parameters:
    `newValue` - The new value.

### getVT_DATE_1D

    public double[] getVT_DATE_1D()
                           throws STCComException

  Gets the VT_DATE_1D value.

  Parameters:
    None.

  Returns:
    `double[]` - Returns the VT_DATE_1D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_DATE_1D

    public void setVT_DATE_1D(double[] newValue)

  Sets the VT_DATE_1D value.

  Parameters:
    `newValue` - The new value.

### getVT_BSTR_1D

    public java.lang.String[] getVT_BSTR_1D()
                                     throws STCComException

  Gets the VT_BSTR_1D value.

  Parameters:
    None.

  Returns:
    `String[]` - Returns the VT_BSTR_1D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_BSTR_1D

    public void setVT_BSTR_1D(java.lang.String[] newValue)

  Sets the VT_BSTR_1D value.

  Parameters:
    `newValue` - The new value.

### getVT_DISPATCH_1D

    public STCIDispatch[] getVT_DISPATCH_1D()
                                     throws STCComException

  Gets the VT_DISPATCH_1D value.

  Parameters:
    None.

  Returns:
    `STCIDispatch[]` - Returns the VT_DISPATCH_1D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_DISPATCH_1D

    public void setVT_DISPATCH_1D(STCIDispatch[] newValue)

  Sets the VT_DISPATCH_1D value.

  Parameters:
    `newValue` - The new value.

### getVT_ERROR_1D

    public int[] getVT_ERROR_1D()
                         throws STCComException

  Gets the VT_ERROR_1D value.

  Parameters:
    None.

  Returns:
    `int[]` - Returns the VT_ERROR_1D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_ERROR_1D

    public void setVT_ERROR_1D(int[] newValue)

  Sets the VT_ERROR_1D value.

  Parameters:
    `newValue` - The new value.

### getVT_BOOL_1D

    public boolean[] getVT_BOOL_1D()
                            throws STCComException

  Gets the VT_BOOL_1D value.

  Parameters:
    None.

  Returns:
    `Boolean[]` - Returns the VT_BOOL_1D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_BOOL_1D

    public void setVT_BOOL_1D(boolean[] newValue)

  Sets the VT_BOOL_1D value.

  Parameters:
    `newValue` - The new value.

### getVT_I2_2D

    public short[][] getVT_I2_2D()
                          throws STCComException

  Gets the VT_I2_2D value.

  Parameters:
    None.

  Returns:
    `short[][]` - Returns the VT_I2_2D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_I2_2D

    public void setVT_I2_2D(short[][] newValue)

  Sets the VT_I2_2D value.

  Parameters:
    `newValue` - The new value.

### getVT_I4_2D

    public int[][] getVT_I4_2D()
                        throws STCComException

  Gets the VT_I4_2D value.

  Parameters:
    None.

  Returns:
    `int[][]` - Returns the VT_I4_2D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_I4_2D

    public void setVT_I4_2D(int[][] newValue)

  Sets the VT_I4_2D value.

  Parameters:
    `newValue` - The new value.

### getVT_R8_2D

    public double[][] getVT_R8_2D()
                           throws STCComException

  Gets the VT_R8_2D value.

  Parameters:
    None.

  Returns:
    `double[][]` - Returns the VT_R8_2D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_R8_2D

    public void setVT_R8_2D(double[][] newValue)

  Sets the VT_R8_2D value.

  Parameters:
    `newValue` - The new value.

### getVT_DATE_2D

    public double[][] getVT_DATE_2D()
                             throws STCComException

  Gets the VT_DATE_2D value.

  Parameters:
    None.

  Returns:
    `double[][]` - Returns the VT_DATE_2D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_DATE_2D

    public void setVT_DATE_2D(double[][] newValue)

  Sets the VT_DATE_2D value.

  Parameters:
    `newValue` - The new value.

### getVT_BSTR_2D

    public java.lang.String[][] getVT_BSTR_2D()
                                       throws STCComException

  Gets the VT_BSTR_2D value.

  Parameters:
    None.

  Returns:
    `String[][]` - Returns the VT_BSTR_2D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_BSTR_2D

    public void setVT_BSTR_2D(java.lang.String[][] newValue)

  Sets the VT_BSTR_2D value.

  Parameters:
    `newValue` - The new value.

### getVT_ERROR_2D

    public int[][] getVT_ERROR_2D()
                           throws STCComException

  Gets the VT_ERROR_2D value.

  Parameters:
    None.

  Returns:
    `int[][]` - Returns the VT_ERROR_2D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_ERROR_2D

    public void setVT_ERROR_2D(int[][] newValue)

  Sets the VT_ERROR_2D value.

  Parameters:
    `newValue` - The new value.

### getVT_BOOL_2D

    public boolean[][] getVT_BOOL_2D()
                              throws STCComException

  Gets the VT_BOOL_2D value.

  Parameters:
    None.

  Returns:
    `Boolean[][]` - Returns the VT_BOOL_2D value.
  Throws:
    `STCComException` - Thrown upon error.

### setVT_BOOL_2D

    public void setVT_BOOL_2D(boolean[][] newValue)

  Sets the VT_BOOL_2D value.

  Parameters:
    `newValue` - The new value.

### clear

    public void clear()

  Similar to VariantClear in COM. It resets all member variables and prepares the object for reuse.

  Parameters:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.